View Issue Details

IDProjectCategoryView StatusLast Update
0003130FreeCADBugpublic2019-03-14 18:29
ReporterpablogilAssigned Towmayer 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformAppleOSmacOS SierraOS Version 10.12.5
Product Version0.17 
Target Version0.19Fixed in Version0.19 
Summary0003130: FreeCAD 0.17 Qt5 bugs with external display
DescriptionWhen connecting an external display (Dell U2913WM) with a macbook Pro 15'' TouchBar (with retina display) some buttons icons are rescaled incorrectly and what is more important, there is a big offset from your mouse position and where the 3D window thinks you are in "screen space". You can see both problems in the attached screenshot.

Thanks
Steps To ReproduceConnect laptop to external display and open FreeCAD
TagsGUI, MacOSX, Qt5

Relationships

has duplicate 0003512 closedchrisb Sketcher Drag select in Sketcher is offset on Retina display (high DPI) 
child of 0002986 confirmed FreeCAD Port from Qt4 to Qt5 (Ongoing) 

Activities

pablogil

2017-07-17 20:56

reporter  

bugs.png (205,392 bytes)
bugs.png (205,392 bytes)

peterl94

2017-07-17 21:41

developer   ~0009768

Last edited: 2017-07-17 21:41

View 2 revisions

Confirmed on both accounts: Icons shown above are scaled up and draft snap has an offset from the mouse location. Tested on 1080p display using the version below. Somewhere some scale factor is not updated when moving to a different display.

OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11474 (Git)
Build type: Release
Branch: (detached from 74e7940)
Hash: 74e794002464b5230966bae86ce84409b0ee74fc
Python version: 2.7.13
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.1.0

Kunda1

2017-08-14 14:56

administrator   ~0009933

peterl94 wrote

It probably should be separated into two issues (0003130 that is). f3nix fixed the 3d viewer issue, but the icon scale problem hasn't been fixed yet.


@f3nix partially fixes this issue in https://forum.freecadweb.org/viewtopic.php?f=10&t=19724&start=70#p185459

wmayer

2017-09-20 14:02

administrator   ~0010138

A solution has been added with https://github.com/FreeCAD/FreeCAD/commit/0a375d826728a55a99c6a2586780e88f2ee606a8
Can someone test if it really fixes the issue?

pablogil

2017-09-21 15:34

reporter   ~0010148

I have just tried it out and, without knowing if it was a partial solution or not I can say that:
  1. "file" and "view" toolbars still are "magnified" in the external display (if I move FreeCAD window to the HDPI macbook Pro screen it shows correctly)
  2. clicking and drawing now works correctly, there is no offset but:
  3. using "box selection" you get the "offset bug" when inside the Sketcher and only when FreeCAD window is in the HDPI macbook Pro screen (it works fine in the external display)

Kunda1

2018-10-15 07:14

administrator   ~0012027

Can anyone test with a higher version of Qt5 ?

wmayer

2019-03-14 18:29

administrator   ~0012906

https://github.com/FreeCAD/FreeCAD/commit/2f2d5053599785fdc8db481682746066911033b4

Issue History

Date Modified Username Field Change
2017-07-17 20:56 pablogil New Issue
2017-07-17 20:56 pablogil File Added: bugs.png
2017-07-17 20:56 pablogil Tag Attached: GUI
2017-07-17 20:56 pablogil Tag Attached: MacOSX
2017-07-17 20:56 pablogil Tag Attached: Qt5
2017-07-17 21:41 peterl94 Note Added: 0009768
2017-07-17 21:41 peterl94 Note Edited: 0009768 View Revisions
2017-07-17 23:20 Kunda1 Relationship added child of 0002986
2017-07-18 00:46 Kunda1 Status new => confirmed
2017-07-18 00:47 Kunda1 Target Version => 0.17
2017-08-14 14:56 Kunda1 Note Added: 0009933
2017-09-20 14:02 wmayer Note Added: 0010138
2017-09-21 15:34 pablogil Note Added: 0010148
2017-12-03 07:16 wmayer Target Version 0.17 => 0.18
2018-06-19 05:47 chrisb Relationship added has duplicate 0003512
2018-10-15 07:14 Kunda1 Note Added: 0012027
2019-03-14 18:29 wmayer Assigned To => wmayer
2019-03-14 18:29 wmayer Status confirmed => closed
2019-03-14 18:29 wmayer Resolution open => fixed
2019-03-14 18:29 wmayer Fixed in Version => 0.19
2019-03-14 18:29 wmayer Note Added: 0012906
2019-03-14 18:29 wmayer Target Version 0.18 => 0.19